Package com.google.android.exoplayer2.testutil

## Class CacheAsserts.RequestSet

- java.lang.Object
- - com.google.android.exoplayer2.testutil.CacheAsserts.RequestSet

- Enclosing class:
    CacheAsserts

      public static final class CacheAsserts.RequestSet
      extends Object

  Defines a set of data requests.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestSet​(FakeDataSet fakeDataSet)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCount()` |
    `byte[]` | `getData​(int i)` |
    `DataSpec` | `getDataSpec​(int i)` |
    `CacheAsserts.RequestSet` | `subset​(Uri... uris)` |
    `CacheAsserts.RequestSet` | `subset​(DataSpec... dataSpecs)` |
    `CacheAsserts.RequestSet` | `subset​(String... uriStrings)` |
    `CacheAsserts.RequestSet` | `useBoundedDataSpecFor​(String uriString)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestSet

          public RequestSet​(FakeDataSet fakeDataSet)

  - ### Method Detail

    - #### subset

          @CanIgnoreReturnValue
          public CacheAsserts.RequestSet subset​(String... uriStrings)

    - #### subset

          @CanIgnoreReturnValue
          public CacheAsserts.RequestSet subset​(Uri... uris)

    - #### subset

          @CanIgnoreReturnValue
          public CacheAsserts.RequestSet subset​(DataSpec... dataSpecs)

    - #### getCount

          public int getCount()

    - #### getData

          public byte[] getData​(int i)

    - #### getDataSpec

          public DataSpec getDataSpec​(int i)

    - #### useBoundedDataSpecFor

          @CanIgnoreReturnValue
          public CacheAsserts.RequestSet useBoundedDataSpecFor​(String uriString)